<!DOCTYPE html>
<html <?php language_attributes(); ?>>
  <?php get_header(); ?>
  <body>
    <a class="skip-nav sr-only" href="#main-content">Skip to main</a>
    <?php get_template_part('global-head'); ?>
    <main id="main-content" class="container" role="main">
      <section class="grid col-100 grid-gutter-lg">
        <?php if (have_posts()): while (have_posts()) : the_post(); ?>
          <article class="post-article" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

            <?php if ( has_post_thumbnail()) : // Check if Thumbnail exists ?>
              <a class="post-thumbnail" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
                <?php the_post_thumbnail(); // Fullsize image for the single post ?>
              </a>
            <?php endif; ?>

            <h1>
              <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
            </h1>

            <?php the_content(); ?>

            <div class="post-details">
              <p><?php _e( 'Categorised in: ', 'html5blank' ); the_category(', '); // Separated by commas ?></p>
              <?php the_tags( __( 'Tags: ', 'html5blank' ), ', ', '<br>'); // Separated by commas with a line break at the end ?>
            </div>

            <?php edit_post_link(); // Always handy to have Edit Post Links available ?>
          </article>
        <?php endwhile; ?>
        <?php endif; ?>

        <?php // get_sidebar(); ?>
      </section>
    </main>
    <?php get_footer(); ?>
  </body>
</html>
